Loading...
Searching...
No Matches
itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage > Class Template Reference

`#include <itkMultiInputMultiResolutionImageRegistrationMethodBase.h>`

## Detailed Description

template<typename TFixedImage, typename TMovingImage>
class itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >

Base class for multi-resolution image registration methods.

This class is an extension of the itk class MultiResolutionImageRegistrationMethod. It allows the use of multiple metrics, multiple images, multiple interpolators, and/or multiple image pyramids.

You may also set an interpolator/fixedimage/etc to NULL, if you happen to know that the corresponding metric is not an ImageToImageMetric, but a regularizer for example (which does not need an image.

See also
  ImageRegistrationMethod
  MultiResolutionImageRegistrationMethod
  MultiResolutionImageRegistrationMethod2

Definition at line 73 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

Inheritance diagram for itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | DataObjectPointer
using | FixedImageConstPointer
using | FixedImageInterpolatorType = typename MultiInputMetricType ::FixedImageInterpolatorType
using | FixedImageInterpolatorVectorType = typename MultiInputMetricType ::FixedImageInterpolatorVectorType
using | FixedImagePyramidPointer
using | FixedImagePyramidType
using | FixedImagePyramidVectorType = std::vector<FixedImagePyramidPointer>
using | FixedImageRegionPyramidType
using | FixedImageRegionPyramidVectorType = std::vector<FixedImageRegionPyramidType>
using | FixedImageRegionType
using | FixedImageRegionVectorType = typename MultiInputMetricType ::FixedImageRegionVectorType
using | FixedImageType
using | FixedImageVectorType = typename MultiInputMetricType ::FixedImageVectorType
using | InterpolatorPointer
using | InterpolatorType
using | InterpolatorVectorType = typename MultiInputMetricType ::InterpolatorVectorType
using | MetricPointer
using | MetricType
using | MovingImageConstPointer
using | MovingImagePyramidPointer
using | MovingImagePyramidType
using | MovingImagePyramidVectorType = std::vector<MovingImagePyramidPointer>
using | MovingImageType
using | MovingImageVectorType = typename MultiInputMetricType ::MovingImageVectorType
using | MultiInputMetricPointer = typename MultiInputMetricType::Pointer
using | MultiInputMetricType = MultiInputImageToImageMetricBase<FixedImageType, MovingImageType>
using | OptimizerPointer = typename OptimizerType::Pointer
using | OptimizerType
using | ParametersType
using | Pointer = SmartPointer<Self>
using | Self = MultiInputMultiResolutionImageRegistrationMethodBase
using | Superclass = MultiResolutionImageRegistrationMethod2<TFixedImage, TMovingImage>
using | TransformOutputConstPointer
using | TransformOutputPointer
using | TransformOutputType
using | TransformPointer
using | TransformType
Public Types inherited from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >
using | ConstPointer = SmartPointer<const Self>
using | DataObjectPointer = typename DataObject::Pointer
using | FixedImageConstPointer = typename FixedImageType::ConstPointer
using | FixedImagePyramidPointer = typename FixedImagePyramidType::Pointer
using | FixedImagePyramidType = MultiResolutionPyramidImageFilter<FixedImageType, FixedImageType>
using | FixedImageRegionPyramidType = std::vector<FixedImageRegionType>
using | FixedImageRegionType = typename FixedImageType::RegionType
using | FixedImageType = TFixedImage
using | InterpolatorPointer = typename InterpolatorType::Pointer
using | InterpolatorType = typename MetricType::InterpolatorType
using | MetricPointer = typename MetricType::Pointer
using | MetricType = AdvancedImageToImageMetric<FixedImageType, MovingImageType>
using | MovingImageConstPointer = typename MovingImageType::ConstPointer
using | MovingImagePyramidPointer = typename MovingImagePyramidType::Pointer
using | MovingImagePyramidType = MultiResolutionPyramidImageFilter<MovingImageType, MovingImageType>
using | MovingImageType = TMovingImage
using | OptimizerType = SingleValuedNonLinearOptimizer
using | ParametersType = typename MetricType::TransformParametersType
using | Pointer = SmartPointer<Self>
using | Self = MultiResolutionImageRegistrationMethod2
using | Superclass = ProcessObject
using | TransformOutputConstPointer = typename TransformOutputType::ConstPointer
using | TransformOutputPointer = typename TransformOutputType::Pointer
using | TransformOutputType = DataObjectDecorator<TransformType>
using | TransformPointer = typename TransformType::Pointer
using | TransformType = typename MetricType::AdvancedTransformType

## Public Member Functions

| elxOverrideSimpleSetMacro (FixedImage, const FixedImageType *)
| elxOverrideSimpleSetMacro (FixedImagePyramid, FixedImagePyramidType *)
| elxOverrideSimpleSetMacro (FixedImageRegion, const FixedImageRegionType)
| elxOverrideSimpleSetMacro (Interpolator, InterpolatorType *)
| elxOverrideSimpleSetMacro (MovingImage, const MovingImageType *)
| elxOverrideSimpleSetMacro (MovingImagePyramid, MovingImagePyramidType *)
virtual const char * | GetClassName () const
const FixedImageType * | GetFixedImage () const override
virtual const FixedImageType * | GetFixedImage (unsigned int pos) const
virtual FixedImageInterpolatorType * | GetFixedImageInterpolator ()
virtual FixedImageInterpolatorType * | GetFixedImageInterpolator (unsigned int pos) const
const FixedImagePyramidType * | GetFixedImagePyramid () const override
FixedImagePyramidType * | GetFixedImagePyramid () override
virtual FixedImagePyramidType * | GetFixedImagePyramid (unsigned int pos) const
const FixedImageRegionType & | GetFixedImageRegion () const override
virtual const FixedImageRegionType & | GetFixedImageRegion (unsigned int pos) const
const InterpolatorType * | GetInterpolator () const override
InterpolatorType * | GetInterpolator () override
virtual InterpolatorType * | GetInterpolator (unsigned int pos) const
const MovingImageType * | GetMovingImage () const override
virtual const MovingImageType * | GetMovingImage (unsigned int pos) const
const MovingImagePyramidType * | GetMovingImagePyramid () const override
MovingImagePyramidType * | GetMovingImagePyramid () override
virtual MovingImagePyramidType * | GetMovingImagePyramid (unsigned int pos) const
ModifiedTimeType | GetMTime () const override
| ITK_DISALLOW_COPY_AND_MOVE (MultiInputMultiResolutionImageRegistrationMethodBase)
| itkGetModifiableObjectMacro (MultiInputMetric, MultiInputMetricType)
| itkGetNumberOfMacro (FixedImage)
| itkGetNumberOfMacro (FixedImageInterpolator)
| itkGetNumberOfMacro (FixedImagePyramid)
| itkGetNumberOfMacro (FixedImageRegion)
| itkGetNumberOfMacro (Interpolator)
| itkGetNumberOfMacro (MovingImage)
| itkGetNumberOfMacro (MovingImagePyramid)
| itkSetNumberOfMacro (FixedImage)
| itkSetNumberOfMacro (FixedImageInterpolator)
| itkSetNumberOfMacro (FixedImagePyramid)
| itkSetNumberOfMacro (FixedImageRegion)
| itkSetNumberOfMacro (Interpolator)
| itkSetNumberOfMacro (MovingImage)
| itkSetNumberOfMacro (MovingImagePyramid)
| itkSimpleSetMacro (FixedImageInterpolator, FixedImageInterpolatorType *)
virtual void | SetFixedImage (const FixedImageType *_arg, unsigned int pos)
virtual void | SetFixedImageInterpolator (FixedImageInterpolatorType *_arg, unsigned int pos)
virtual void | SetFixedImagePyramid (FixedImagePyramidType *_arg, unsigned int pos)
virtual void | SetFixedImageRegion (FixedImageRegionType _arg, unsigned int pos)
virtual void | SetInterpolator (InterpolatorType *_arg, unsigned int pos)
void | SetMetric (MetricType *_arg) override
virtual void | SetMovingImage (const MovingImageType *_arg, unsigned int pos)
virtual void | SetMovingImagePyramid (MovingImagePyramidType *_arg, unsigned int pos)
Public Member Functions inherited from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >
virtual unsigned long | GetCurrentLevel () const
virtual const FixedImageType * | GetFixedImage ()
virtual const FixedImageRegionType & | GetFixedImageRegion ()
virtual const ParametersType & | GetInitialTransformParameters ()
virtual const ParametersType & | GetInitialTransformParametersOfNextLevel ()
virtual const ParametersType & | GetLastTransformParameters ()
virtual const MovingImageType * | GetMovingImage ()
ModifiedTimeType | GetMTime () const override
virtual unsigned long | GetNumberOfLevels () const
const TransformOutputType * | GetOutput () const
| ITK_DISALLOW_COPY_AND_MOVE (MultiResolutionImageRegistrationMethod2)
| itkGetModifiableObjectMacro (FixedImagePyramid, FixedImagePyramidType)
| itkGetModifiableObjectMacro (Interpolator, InterpolatorType)
| itkGetModifiableObjectMacro (Metric, MetricType)
| itkGetModifiableObjectMacro (MovingImagePyramid, MovingImagePyramidType)
| itkGetModifiableObjectMacro (Optimizer, OptimizerType)
| itkGetModifiableObjectMacro (Transform, TransformType)
DataObjectPointer | MakeOutput (ProcessObject::DataObjectPointerArraySizeType idx) override
virtual void | SetFixedImage (const FixedImageType *_arg)
virtual void | SetFixedImagePyramid (FixedImagePyramidType *_arg)
virtual void | SetFixedImageRegion (FixedImageRegionType _arg)
virtual void | SetInitialTransformParameters (ParametersType _arg)
virtual void | SetInitialTransformParametersOfNextLevel (ParametersType _arg)
virtual void | SetInterpolator (InterpolatorType *_arg)
virtual void | SetMovingImage (const MovingImageType *_arg)
virtual void | SetMovingImagePyramid (MovingImagePyramidType *_arg)
virtual void | SetNumberOfLevels (unsigned long _arg)
virtual void | SetOptimizer (OptimizerType *_arg)
virtual void | SetTransform (TransformType *_arg)
virtual void | StartRegistration ()
virtual void | StopRegistration ()

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >
static Pointer | New ()

## Protected Member Functions

virtual void | CheckOnInitialize ()
virtual void | CheckPyramids ()
void | GenerateData () override
void | Initialize () override
| MultiInputMultiResolutionImageRegistrationMethodBase ()=default
void | PreparePyramids () override
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~MultiInputMultiResolutionImageRegistrationMethodBase () override=default
Protected Member Functions inherited from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >
void | GenerateData () override
| MultiResolutionImageRegistrationMethod2 ()
void | PrintSelf (std::ostream &os, Indent indent) const override
virtual void | SetCurrentLevel (unsigned long _arg)
| ~MultiResolutionImageRegistrationMethod2 () override=default

## Protected Attributes

FixedImageInterpolatorVectorType | m_FixedImageInterpolators {}
FixedImagePyramidVectorType | m_FixedImagePyramids {}
FixedImageRegionPyramidVectorType | m_FixedImageRegionPyramids {}
FixedImageRegionVectorType | m_FixedImageRegions {}
FixedImageVectorType | m_FixedImages {}
InterpolatorVectorType | m_Interpolators {}
MovingImagePyramidVectorType | m_MovingImagePyramids {}
MovingImageVectorType | m_MovingImages {}
FixedImageRegionType | m_NullFixedImageRegion {}
Protected Attributes inherited from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >
ParametersType | m_LastTransformParameters {}
bool | m_Stop {}

## Private Attributes

MultiInputMetricPointer | m_MultiInputMetric {}

## Member Typedef Documentation

## ConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::ConstPointer = SmartPointer<const Self>

Definition at line 83 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## DataObjectPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::DataObjectPointer

Smart Pointer type to a DataObject.

Definition at line 160 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageConstPointer

Definition at line 116 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageInterpolatorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::FixedImageInterpolatorType = typename MultiInputMetricType ::FixedImageInterpolatorType

Definition at line 128 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## FixedImageInterpolatorVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::FixedImageInterpolatorVectorType = typename MultiInputMetricType ::FixedImageInterpolatorVectorType

Definition at line 129 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## FixedImagePyramidPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImagePyramidPointer

Definition at line 148 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImagePyramidType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImagePyramidType

Type of the Fixed image multiresolution pyramid.

Definition at line 147 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImagePyramidVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::FixedImagePyramidVectorType = std::vector<FixedImagePyramidPointer>

Definition at line 130 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## FixedImageRegionPyramidType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageRegionPyramidType

Definition at line 118 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageRegionPyramidVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::FixedImageRegionPyramidVectorType = std::vector<FixedImageRegionPyramidType>

Definition at line 119 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## FixedImageRegionType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageRegionType

Definition at line 117 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageRegionVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::FixedImageRegionVectorType = typename MultiInputMetricType ::FixedImageRegionVectorType

Definition at line 125 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## FixedImageType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::FixedImageType

Type of the Fixed image.

Definition at line 115 of file itkMultiResolutionImageRegistrationMethod2.h.

## FixedImageVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::FixedImageVectorType = typename MultiInputMetricType ::FixedImageVectorType

Definition at line 124 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## InterpolatorPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::InterpolatorPointer

Definition at line 141 of file itkMultiResolutionImageRegistrationMethod2.h.

## InterpolatorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::InterpolatorType

Type of the Interpolator.

Definition at line 140 of file itkMultiResolutionImageRegistrationMethod2.h.

## InterpolatorVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::InterpolatorVectorType = typename MultiInputMetricType ::InterpolatorVectorType

Definition at line 127 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## MetricPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MetricPointer

Definition at line 126 of file itkMultiResolutionImageRegistrationMethod2.h.

## MetricType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MetricType

Type of the metric.

Definition at line 125 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImageConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImageConstPointer

Definition at line 122 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImagePyramidPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImagePyramidPointer

Definition at line 152 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImagePyramidType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImagePyramidType

Type of the moving image multiresolution pyramid.

Definition at line 151 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImagePyramidVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::MovingImagePyramidVectorType = std::vector<MovingImagePyramidPointer>

Definition at line 131 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## MovingImageType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::MovingImageType

Type of the Moving image.

Definition at line 121 of file itkMultiResolutionImageRegistrationMethod2.h.

## MovingImageVectorType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::MovingImageVectorType = typename MultiInputMetricType ::MovingImageVectorType

Definition at line 126 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## MultiInputMetricPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::MultiInputMetricPointer = typename MultiInputMetricType::Pointer

Definition at line 123 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## MultiInputMetricType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::MultiInputMetricType = MultiInputImageToImageMetricBase<FixedImageType, MovingImageType>

Typedef's for the MultiInput part.

Definition at line 122 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## OptimizerPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::OptimizerPointer = typename OptimizerType::Pointer

Definition at line 106 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## OptimizerType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::OptimizerType

Type of the optimizer.

Definition at line 144 of file itkMultiResolutionImageRegistrationMethod2.h.

## ParametersType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::ParametersType

Type of the Transformation parameters This is the same type used to represent the search space of the optimization algorithm.

Definition at line 157 of file itkMultiResolutionImageRegistrationMethod2.h.

## Pointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::Pointer = SmartPointer<Self>

Definition at line 82 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## Self

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::Self = MultiInputMultiResolutionImageRegistrationMethodBase

Standard class typedefs.

Definition at line 80 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## Superclass

template<typename TFixedImage, typename TMovingImage>

using itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::Superclass = MultiResolutionImageRegistrationMethod2<TFixedImage, TMovingImage>

Definition at line 81 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## TransformOutputConstPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformOutputConstPointer

Definition at line 137 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformOutputPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformOutputPointer

Definition at line 136 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformOutputType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformOutputType

Type for the output: Using Decorator pattern for enabling the Transform to be passed in the data pipeline.

Definition at line 135 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformPointer

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformPointer

Definition at line 130 of file itkMultiResolutionImageRegistrationMethod2.h.

## TransformType

template<typename TFixedImage, typename TMovingImage>

using itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >::TransformType

Type of the Transform .

Definition at line 129 of file itkMultiResolutionImageRegistrationMethod2.h.

## Constructor & Destructor Documentation

## MultiInputMultiResolutionImageRegistrationMethodBase()

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::MultiInputMultiResolutionImageRegistrationMethodBase | ( |  | ) |

protected default

Constructor.

## ~MultiInputMultiResolutionImageRegistrationMethodBase()

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::~MultiInputMultiResolutionImageRegistrationMethodBase | ( |  | ) |

override protected default

Destructor.

## Member Function Documentation

## CheckOnInitialize()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::CheckOnInitialize | ( |  | ) |

protected virtual

Function called by Initialize, which checks if the user input is ok.

## CheckPyramids()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::CheckPyramids | ( |  | ) |

protected virtual

Function called by PreparePyramids, which checks if the user input regarding the image pyramids is ok.

Reimplemented in itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >, itk::MultiResolutionImageRegistrationMethodWithFeatures< RegistrationBase< TElastix >::FixedImageType, RegistrationBase< TElastix >::MovingImageType >, and itk::MultiResolutionImageRegistrationMethodWithFeatures< typename RegistrationBase< TElastix >::FixedImageType, typename RegistrationBase< TElastix >::MovingImageType >.

## elxOverrideSimpleSetMacro() [1/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::elxOverrideSimpleSetMacro | ( | FixedImage | ,
|  | const FixedImageType * | )

## elxOverrideSimpleSetMacro() [2/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::elxOverrideSimpleSetMacro | ( | FixedImagePyramid | ,
|  | FixedImagePyramidType * | )

## elxOverrideSimpleSetMacro() [3/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::elxOverrideSimpleSetMacro | ( | FixedImageRegion | ,
|  | const FixedImageRegionType | )

## elxOverrideSimpleSetMacro() [4/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::elxOverrideSimpleSetMacro | ( | Interpolator | ,
|  | InterpolatorType * | )

## elxOverrideSimpleSetMacro() [5/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::elxOverrideSimpleSetMacro | ( | MovingImage | ,
|  | const MovingImageType * | )

## elxOverrideSimpleSetMacro() [6/6]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::elxOverrideSimpleSetMacro | ( | MovingImagePyramid | ,
|  | MovingImagePyramidType * | )

## GenerateData()

template<typename TFixedImage, typename TMovingImage>

void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GenerateData | ( |  | ) |

override protected

Method invoked by the pipeline in order to trigger the computation of the registration.

## GetClassName()

template<typename TFixedImage, typename TMovingImage>

virtual const char * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >.

Reimplemented in elastix::MultiResolutionRegistrationWithFeatures< TElastix >, itk::MultiResolutionImageRegistrationMethodWithFeatures< TFixedImage, TMovingImage >, itk::MultiResolutionImageRegistrationMethodWithFeatures< RegistrationBase< TElastix >::FixedImageType, RegistrationBase< TElastix >::MovingImageType >, and itk::MultiResolutionImageRegistrationMethodWithFeatures< typename RegistrationBase< TElastix >::FixedImageType, typename RegistrationBase< TElastix >::MovingImageType >.

## GetFixedImage() [1/2]

template<typename TFixedImage, typename TMovingImage>

const FixedImageType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetFixedImage | ( |  | ) | const

inline override

Definition at line 148 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## GetFixedImage() [2/2]

template<typename TFixedImage, typename TMovingImage>

virtual const FixedImageType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetFixedImage | ( | unsigned int | pos | ) | const

virtual

## GetFixedImageInterpolator() [1/2]

template<typename TFixedImage, typename TMovingImage>

virtual FixedImageInterpolatorType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetFixedImageInterpolator | ( |  | ) |

inline virtual

Definition at line 265 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## GetFixedImageInterpolator() [2/2]

template<typename TFixedImage, typename TMovingImage>

virtual FixedImageInterpolatorType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetFixedImageInterpolator | ( | unsigned int | pos | ) | const

virtual

## GetFixedImagePyramid() [1/3]

template<typename TFixedImage, typename TMovingImage>

const FixedImagePyramidType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetFixedImagePyramid | ( |  | ) | const

inline override

Definition at line 186 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## GetFixedImagePyramid() [2/3]

template<typename TFixedImage, typename TMovingImage>

FixedImagePyramidType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetFixedImagePyramid | ( |  | ) |

inline override

Definition at line 180 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## GetFixedImagePyramid() [3/3]

template<typename TFixedImage, typename TMovingImage>

virtual FixedImagePyramidType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetFixedImagePyramid | ( | unsigned int | pos | ) | const

virtual

## GetFixedImageRegion() [1/2]

template<typename TFixedImage, typename TMovingImage>

const FixedImageRegionType & itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetFixedImageRegion | ( |  | ) | const

inline override

Definition at line 164 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## GetFixedImageRegion() [2/2]

template<typename TFixedImage, typename TMovingImage>

virtual const FixedImageRegionType & itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetFixedImageRegion | ( | unsigned int | pos | ) | const

virtual

## GetInterpolator() [1/3]

template<typename TFixedImage, typename TMovingImage>

const InterpolatorType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetInterpolator | ( |  | ) | const

inline override

Definition at line 248 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## GetInterpolator() [2/3]

template<typename TFixedImage, typename TMovingImage>

InterpolatorType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetInterpolator | ( |  | ) |

inline override

Definition at line 242 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## GetInterpolator() [3/3]

template<typename TFixedImage, typename TMovingImage>

virtual InterpolatorType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetInterpolator | ( | unsigned int | pos | ) | const

virtual

## GetMovingImage() [1/2]

template<typename TFixedImage, typename TMovingImage>

const MovingImageType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetMovingImage | ( |  | ) | const

inline override

Definition at line 203 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## GetMovingImage() [2/2]

template<typename TFixedImage, typename TMovingImage>

virtual const MovingImageType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetMovingImage | ( | unsigned int | pos | ) | const

virtual

## GetMovingImagePyramid() [1/3]

template<typename TFixedImage, typename TMovingImage>

const MovingImagePyramidType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetMovingImagePyramid | ( |  | ) | const

inline override

Definition at line 225 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## GetMovingImagePyramid() [2/3]

template<typename TFixedImage, typename TMovingImage>

MovingImagePyramidType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetMovingImagePyramid | ( |  | ) |

inline override

Definition at line 219 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## GetMovingImagePyramid() [3/3]

template<typename TFixedImage, typename TMovingImage>

virtual MovingImagePyramidType * itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetMovingImagePyramid | ( | unsigned int | pos | ) | const

virtual

## GetMTime()

template<typename TFixedImage, typename TMovingImage>

ModifiedTimeType itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::GetMTime | ( |  | ) | const

override

Method to return the latest modified time of this object or any of its cached ivars.

## Initialize()

template<typename TFixedImage, typename TMovingImage>

void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::Initialize | ( |  | ) |

override protected virtual

Initialize by setting the interconnects between the components. This method is executed at every level of the pyramid with the values corresponding to this resolution .

Reimplemented from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage > |  | ) |

## itkGetModifiableObjectMacro()

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkGetModifiableObjectMacro | ( | MultiInputMetric | ,
|  | MultiInputMetricType | )

Get a metric that takes multiple inputs.

## itkGetNumberOfMacro() [1/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkGetNumberOfMacro | ( | FixedImage |  | ) |

## itkGetNumberOfMacro() [2/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkGetNumberOfMacro | ( | FixedImageInterpolator |  | ) |

## itkGetNumberOfMacro() [3/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkGetNumberOfMacro | ( | FixedImagePyramid |  | ) |

## itkGetNumberOfMacro() [4/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkGetNumberOfMacro | ( | FixedImageRegion |  | ) |

## itkGetNumberOfMacro() [5/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkGetNumberOfMacro | ( | Interpolator |  | ) |

## itkGetNumberOfMacro() [6/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkGetNumberOfMacro | ( | MovingImage |  | ) |

## itkGetNumberOfMacro() [7/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkGetNumberOfMacro | ( | MovingImagePyramid |  | ) |

## itkSetNumberOfMacro() [1/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkSetNumberOfMacro | ( | FixedImage |  | ) |

## itkSetNumberOfMacro() [2/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkSetNumberOfMacro | ( | FixedImageInterpolator |  | ) |

## itkSetNumberOfMacro() [3/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkSetNumberOfMacro | ( | FixedImagePyramid |  | ) |

## itkSetNumberOfMacro() [4/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkSetNumberOfMacro | ( | FixedImageRegion |  | ) |

## itkSetNumberOfMacro() [5/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkSetNumberOfMacro | ( | Interpolator |  | ) |

## itkSetNumberOfMacro() [6/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkSetNumberOfMacro | ( | MovingImage |  | ) |

## itkSetNumberOfMacro() [7/7]

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkSetNumberOfMacro | ( | MovingImagePyramid |  | ) |

## itkSimpleSetMacro()

template<typename TFixedImage, typename TMovingImage>

itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::itkSimpleSetMacro | ( | FixedImageInterpolator | ,
|  | FixedImageInterpolatorType * | )

## New()

template<typename TFixedImage, typename TMovingImage>

Pointer itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## PreparePyramids()

template<typename TFixedImage, typename TMovingImage>

void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::PreparePyramids | ( |  | ) |

override protected virtual

Compute the size of the fixed region for each level of the pyramid.

Reimplemented from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >.

## PrintSelf()

template<typename TFixedImage, typename TMovingImage>

void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetFixedImage()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::SetFixedImage | ( | const FixedImageType * | _arg,
|  | unsigned int | pos )

virtual

The following methods all have a similar pattern. The SetFixedImage() just calls SetFixedImage(0). SetFixedImage(0) also calls the Superclass::SetFixedImage(). This is defined by the elxOverrideSimpleSetMacro. GetFixedImage() just returns GetFixedImage(0) == Superclass::m_FixedImage. Set/Get the Fixed image.

## SetFixedImageInterpolator()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::SetFixedImageInterpolator | ( | FixedImageInterpolatorType * | _arg,
|  | unsigned int | pos )

virtual

Set/Get the FixedImageInterpolator.

## SetFixedImagePyramid()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::SetFixedImagePyramid | ( | FixedImagePyramidType * | _arg,
|  | unsigned int | pos )

virtual

Set/Get the FixedImagePyramid.

## SetFixedImageRegion()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::SetFixedImageRegion | ( | FixedImageRegionType | _arg,
|  | unsigned int | pos )

virtual

Set/Get the Fixed image region.

## SetInterpolator()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::SetInterpolator | ( | InterpolatorType * | _arg,
|  | unsigned int | pos )

virtual

Set/Get the Interpolator.

## SetMetric()

template<typename TFixedImage, typename TMovingImage>

void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::SetMetric | ( | MetricType * | _arg | ) |

override virtual

Set a metric that takes multiple inputs.

Reimplemented from itk::MultiResolutionImageRegistrationMethod2< TFixedImage, TMovingImage >.

## SetMovingImage()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::SetMovingImage | ( | const MovingImageType * | _arg,
|  | unsigned int | pos )

virtual

Set/Get the Moving image.

## SetMovingImagePyramid()

template<typename TFixedImage, typename TMovingImage>

virtual void itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::SetMovingImagePyramid | ( | MovingImagePyramidType * | _arg,
|  | unsigned int | pos )

virtual

Set/Get the MovingImagePyramid.

## Field Documentation

## m_FixedImageInterpolators

template<typename TFixedImage, typename TMovingImage>

FixedImageInterpolatorVectorType itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::m_FixedImageInterpolators {}

protected

Definition at line 331 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## m_FixedImagePyramids

template<typename TFixedImage, typename TMovingImage>

FixedImagePyramidVectorType itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::m_FixedImagePyramids {}

protected

Definition at line 328 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## m_FixedImageRegionPyramids

template<typename TFixedImage, typename TMovingImage>

FixedImageRegionPyramidVectorType itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::m_FixedImageRegionPyramids {}

protected

This vector is filled by the PreparePyramids function.

Definition at line 334 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## m_FixedImageRegions

template<typename TFixedImage, typename TMovingImage>

FixedImageRegionVectorType itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::m_FixedImageRegions {}

protected

Definition at line 327 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## m_FixedImages

template<typename TFixedImage, typename TMovingImage>

FixedImageVectorType itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::m_FixedImages {}

protected

Containers for the pointers supplied by the user

Definition at line 325 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## m_Interpolators

template<typename TFixedImage, typename TMovingImage>

InterpolatorVectorType itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::m_Interpolators {}

protected

Definition at line 330 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## m_MovingImagePyramids

template<typename TFixedImage, typename TMovingImage>

MovingImagePyramidVectorType itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::m_MovingImagePyramids {}

protected

Definition at line 329 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## m_MovingImages

template<typename TFixedImage, typename TMovingImage>

MovingImageVectorType itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::m_MovingImages {}

protected

Definition at line 326 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## m_MultiInputMetric

template<typename TFixedImage, typename TMovingImage>

MultiInputMetricPointer itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::m_MultiInputMetric {}

private

Definition at line 340 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

## m_NullFixedImageRegion

template<typename TFixedImage, typename TMovingImage>

FixedImageRegionType itk::MultiInputMultiResolutionImageRegistrationMethodBase< TFixedImage, TMovingImage >::m_NullFixedImageRegion {}

protected

Dummy image region

Definition at line 337 of file itkMultiInputMultiResolutionImageRegistrationMethodBase.h.

Generated on 1768596610 for elastix by 1.15.0 |